For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
LogoLogo
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Location
      • POSTRefresh Locations
HomeGet API key
API Referencelocation

Get Location

GET
https://api.agentphone.ai/v1/location/:phone_number
GET
/v1/location/:phone_number
1import { AgentPhoneClient } from "agentphone";
2
3async function main() {
4 const client = new AgentPhoneClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.location.getLocation("phone_number");
8}
9main();
1{
2 "phoneNumber": "+14155552671",
3 "status": "active",
4 "lastUpdated": 1685606400,
5 "latitude": 37.7749,
6 "longitude": -122.4194
7}
Was this page helpful?
Previous

Refresh Locations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

phone_numberstringRequired

Response

Successful Response
phoneNumberstring
statusstring
lastUpdatedinteger
latitudedouble or null
longitudedouble or null

Errors

422
Unprocessable Entity Error